com.fasterxml.jackson.datatype.joda.deser.key

## Class LocalDateTimeKeyDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.KeyDeserializer
  - - com.fasterxml.jackson.datatype.joda.deser.key.LocalDateTimeKeyDeserializer

    public class LocalDateTimeKeyDeserializer
    extends com.fasterxml.jackson.databind.KeyDeserializer

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.KeyDeserializer

`com.fasterxml.jackson.databind.KeyDeserializer.None`

### Constructor Summary

Constructors
Constructor and Description
`LocalDateTimeKeyDeserializer()`

### Method Summary

Methods
`protected org.joda.time.LocalDateTime` `deserialize(String key, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`Object` `deserializeKey(String key, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalDateTimeKeyDeserializer

    public LocalDateTimeKeyDeserializer()

### Method Detail

#### deserialize

    protected org.joda.time.LocalDateTime deserialize(String key,
                                          com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                               throws IOException,
                                                      com.fasterxml.jackson.core.JsonProcessingException

Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### deserializeKey

    public final Object deserializeKey(String key,
                        com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                throws IOException,
                                       com.fasterxml.jackson.core.JsonProcessingException

Specified by:
  `deserializeKey` in class `com.fasterxml.jackson.databind.KeyDeserializer`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`